Permalink
Browse files

pre-tag commit

git-svn-id: svn+ssh://rubyforge.org/var/svn/rake/trunk@347 5af023f1-ac1a-0410-98d6-829a145c37ef
  • Loading branch information...
1 parent da7cb40 commit 4c1c7281436e20f8f44c723766338fbe308549bc jimweirich committed Mar 25, 2005
Showing with 12 additions and 8 deletions.
  1. +11 −7 rake/Rakefile
  2. +1 −1 rake/lib/rake.rb
View
@@ -326,14 +326,18 @@ task :update_version => [:prerelease] do
announce "No version change ... skipping version update"
else
announce "Updating Rake version to #{PKG_VERSION}"
- open("lib/rubygems/rubygems_version.rb", "w") do |f|
- f.puts "# DO NOT EDIT"
- f.puts "# This file is auto-generated by build scripts."
- f.puts "# See: rake update_version"
- f.puts "module Gem"
- f.puts " RubyGemsVersion = '#{PKG_VERSION}'"
- f.puts "end"
+ open("lib/rake.rb") do |rakein|
+ open("lib/rake.rb.new", "w") do |rakeout|
+ rakein.each do |line|
+ if line =~ /^RAKEVERSION\s*=\s*/
+ rakeout.puts "RAKEVERSION = '#{PKG_VERSION}'"
+ else
+ rakeout.puts line
+ end
+ end
+ end
end
+ mv "lib/rake.rb.new", "lib/rake.rb"
if ENV['RELTEST']
announce "Release Task Testing, skipping commiting of new version"
else
View
@@ -29,7 +29,7 @@
# referenced as a library via a require statement, but it can be
# distributed independently as an application.
-RAKEVERSION = '0.4.15.3'
+RAKEVERSION = '0.4.15.100'
require 'rbconfig'
require 'ftools'

0 comments on commit 4c1c728

Please sign in to comment.